# List project assignments

Returns the assignments for the matching project.

> Note: To include subtask completion/total counts for each assignment, specify the fields=subtask_counts query parameter setting.

Endpoint: GET /projects/{project_id}/assignments
Version: v1
Security: AuthToken

## Header parameters:

  - `Content-Type` (string, required)
    Enum: "application/json"

## Path parameters:

  - `project_id` (integer, required)
    Unique identifier for the resource instance.
    Example: 1234567

## Query parameters:

  - `per_page` (integer)
    The maximum number of items to show per response page.
    Example: 100

  - `page` (integer)
    The response page to return.
    Example: 2

  - `from` (string)
    Filter on assignments that end on or after this date.

  - `to` (string)
    Filter on assignments that start on or before this date.

  - `with_phases` (boolean)
    If true, include assignments to phases. Otherwise, exclude them.

  - `fields` (string)
    A comma-separate list of project assignment-related attributes to include in the response.

Supported fields: subtask_counts
    Example: "subtask_counts"

## Response 200 fields (application/json):

  - `paging` (object, required)

  - `paging.per_page` (integer)
    The maximum number of items to show per response page.
    Example: 100

  - `paging.page` (integer)
    The current response page number.
    Example: 1

  - `paging.previous` (string,null)
    If you're on the first page, this value is null; otherwise the value is the path and query parameters to get the previous page of items.
    Example: "/api/v1/users?per_page=1000&page=1"

  - `paging.self` (string)
    The path and query parameters to get the current page of items.
    Example: "/api/v1/users?per_page=1000&page=2"

  - `paging.next` (string,null)
    If there are more items, this value is the path and query parameters to get the next page of items; otherwise, it's null.
    Example: "/api/v1/users?per_page=1000&page=3"

  - `paging.count` (integer,null)
    The total number of items in all the pages.

  - `data` (array, required)

  - `data.subtask_counts` (object)

  - `data.subtask_counts.completed` (integer)
    Number of finished subtasks.

  - `data.subtask_counts.total` (integer)
    Total number of subtasks.


